#!/bin/bash
#添加好所有的源，不要升级。
#sudo apt-get update

#删除所有的包
rm -fr down.sh
touch down.sh
chmod +x down.sh
echo "#!/bin/bash" >> down.sh

#创建pack目录
echo "mkdir pack">> down.sh
echo "cd pack">> down.sh

#下载升级包
for url in `apt-get -qq --print-uris dist-upgrade|cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=base $url">>down.sh
done

#下载语言包
for url in `apt-get -qq --print-uris install language-pack-gnome-zh-base language-pack-gnome-zh language-pack-zh language-pack-zh-base language-support-fonts-zh language-support-input-zh language-support-translations-zh language-support-zh  language-support-extra-zh im-switch fcitx xpdf-chinese-simplified xpdf-chinese-traditional poppler-data
|cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=base $url">>down.sh
done

#下载编译环境
for url in `apt-get -qq --print-uris install alien build-essential autoconf automake1.9 cvs subversion|cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=base $url">>down.sh
done

#下载所有私有软件包
for url in `apt-get -qq --print-uris install ubuntu-restricted-extras|cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=base $url">>down.sh
done

#下载多媒体包
for url in `apt-get -qq --print-uris install libxine1-ffmpeg libxine1-all-plugins libxine1-plugins w32codecs gcc-3.3-base libstdc++5 gstreamer0.10-ffmpeg gstreamer0.10-pitfdll gstreamer0.10-plugins-bad gstreamer0.10-plugins-bad-multiverse gstreamer0.10-plugins-ugly gstreamer0.10-plugins-ugly-multiverse gstreamer0.10-esd libdvdnav4 libdvdread3 libdvdcss2  smplayer smplayer-themes mozilla-mplayer gstreamer0.10-fluendo-mpegdemux gstreamer0.10-gnonlin mplayer mencoder totem-xine xine-plugin libxine1-ffmpeg|cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=base $url">>down.sh
done

#下载词典
for url in `apt-get -qq --print-uris install stardict stardict-common stardict-plugin stardict-plugin-espeak stardict-plugin-festival|cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=base $url">>down.sh
done

#工具类
for url in `apt-get -qq --print-uris install unrar p7zip-full cabextract wine p7zip-rar |cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=base $url">>down.sh
done

#网络类
for url in `apt-get -qq --print-uris install tor privoxy ethstatus|cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=base $url">>down.sh
done

#创建安装包
echo "mkdir -p base/dists/hardy/main/binary-i386/">>down.sh
echo "dpkg-scanpackages base /dev/null |gzip -9 > base/dists/hardy/main/binary-i386/Packages">>down.sh

#Server服务类
for url in `apt-get -qq --print-uris install phpmyadmin squid shorewall apache2 php5 mysql-server php5-mysql libapache2-mod-php5 vsftpd ssh openssh-server postfix |cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=server $url">>down.sh
done

#邮件
for url in `apt-get -qq --print-uris install dovecot-imapd dovecot-pop3d clamav-daemon spamassassin |cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=server $url">>down.sh
done
echo "mkdir -p server/dists/hardy/main/binary-i386/">>down.sh
echo "dpkg-scanpackages server /dev/null |gzip -9 > server/dists/hardy/main/binary-i386/Packages">>down.sh

#Program
#Java相关
for url in `apt-get -qq --print-uris install eclipse eclipse-pydev eclipse-cdt eclipse-jdt eclipse-rcp netbeans sun-java6-jdk glassfishv2 glassfishv2-bin |cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=program $url">>down.sh
done

#其它编程相关
for url in `apt-get -qq --print-uris install bouml dia  |cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=program $url">>down.sh
done
echo "mkdir -p program/dists/hardy/main/binary-i386/">>down.sh
echo "dpkg-scanpackages program /dev/null |gzip -9 > program/dists/hardy/main/binary-i386/Packages">>down.sh

#打包目录
#由于包都是压缩的，就不再次压缩，仅仅打包
echo "rm *.tar">> down.sh
echo "tar -cvf doc.tar doc">> down.sh
echo "tar -cvf base.tar base">> down.sh
echo "tar -cvf server.tar server">> down.sh
echo "tar -cvf program.tar program">> down.sh

